package cn.com.qmth.examcloud.core.oe.student.controller;

import cn.com.qmth.examcloud.core.oe.student.controller.bean.FaceBiopsyDomain;
import cn.com.qmth.examcloud.core.oe.student.controller.bean.SaveFaceBiopsyResultResp;
import cn.com.qmth.examcloud.core.oe.student.controller.bean.SaveFaceBiopsyResultReq;
import cn.com.qmth.examcloud.web.support.ControllerSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

/**
 * @Description 人脸活体检测接口
 * @Author lideyin
 * @Date 2019/10/14 10:59
 * @Version 1.0
 */
@Api(tags="人脸活体检测")
@RestController
@RequestMapping("${app.api.oe.student}/faceBiopsy")
public class FaceBiopsyController extends ControllerSupport {
    @ApiOperation(value = "获取人脸活体检测基本信息")
    @GetMapping("/getFaceBiopsyInfo")
    public FaceBiopsyDomain getFaceBiopsyInfo(@RequestParam Long examRecordDataId){
        FaceBiopsyDomain result = new FaceBiopsyDomain();
        return result;
    }

    @ApiOperation(value = "保存活体检测结果")
    @PostMapping("/saveFaceBiopsyResult")
    public SaveFaceBiopsyResultResp saveFaceBiopsyResult(@RequestBody SaveFaceBiopsyResultReq req){
        SaveFaceBiopsyResultResp result = new SaveFaceBiopsyResultResp();
        return result;
    }
}
